package com.hboxs.serialport.sbc.frame;

public class VboxResponseFrame {
    /**
     * 开始字符
     */
    private final String stx = VboxCommand.STX;

    /**
     * 字节长度
     */
    private int length;

    /**
     * CMD指令
     */
    private byte cmd;

    /**
     * 数据
     */
    private byte[] data;


    /**
     * 结束字符
     */
    private final String etx = VboxCommand.ETX;

    public String getStx() {
        return stx;
    }

    public int getLength() {
        return length;
    }

    public void setLength(int length) {
        this.length = length;
    }

    public byte getCmd() {
        return cmd;
    }

    public void setCmd(byte cmd) {
        this.cmd = cmd;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    public String getEtx() {
        return etx;
    }
}
